
# 获取 dalao所有关于此token的transfer记录 获取dalao的相关关系 例如 A buy token B sell token A transfer B 认为 A。B有关系 对于transfer 多个地址 路径长的 暂不考虑
from base_class import *
from base_class import BaseVariableFunction
import urllib.parse
import shutil
import random
import json
baseclass = BaseVariableFunction(__file__)

old_print = print


def timestamped_print(*args, **kwargs):
    old_print(datetime.datetime.utcnow().replace(
        microsecond=0), *args, **kwargs)


print = timestamped_print

print('\n'*5)
print(f"{'{:<6}'.format('ENTER')} {baseclass.scriptfilename} ----------------NOTE-----------NOTE---------------")


 
 

str_token_address=baseclass.str_token_address

df = pd.read_excel(baseclass.dalao_merge_path /
                f"total_dalao_txn_{str_token_address}.xlsx", dtype=object)

arr_str_dalaoaddress=[]
arr_str_dalaoaddress=df["MAKER"].drop_duplicates().tolist()
arr_str_dalaoaddress=arr_str_dalaoaddress[0:15]
print(f"arr_str_dalaoaddress_len= {len(arr_str_dalaoaddress)}")

 
new_relationship_df = pd.read_excel( baseclass.dalao_merge_path/  f"new_relationship_{str_token_address}.xlsx",dtype=object )


print(f"{'{:<6}'.format('END')} {baseclass.scriptfilename} ----------------NOTE-----------NOTE---------------")
